from distutils.core import setup
import py2exe, os, shutil
py = "pyDropboxPath"
ver = "0.8.2"
desc = "Dropbox Path Changer"

setup(
    name = py,
    version = ver,
    description = desc,
    windows = ["%s.py" % py],
	zipfile = None,
	options = {
		"py2exe": {
			"bundle_files": 1,
			"compressed": 1,
			"optimize": 2,
			"ascii": 1,
			"packages": ["encodings"],
			"dist_dir": ".",
			},
		},
    )
shutil.rmtree('build/')
os.unlink('w9xpopen.exe')
os.system('upx %s.exe' % py)
import colorize
colorize.colorize_file('%s.py' % py, file('%s.html' % py,'w'))
os.system('..\\pyndexer\\pyndexer.exe')